#include <stdio.h>
main(){
  FILE *outfile;
  outfile=fopen("/sys/bus/pci/rescan","w");
  if (outfile != NULL){
    fprintf(outfile,"1\n");
    fclose(outfile);
  }
  else printf("permission denied\n");
}
